Bug 919865 - rpmlint should require perl
rpmlint should require perl
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-10 11:15 EDT by Tadej Janež
Modified: 2013-04-09 21:29 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-09 21:28:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tadej Janež 2013-03-10 11:15:39 EDT
I did a fresh install of F18. After that I installed rpmlint and used it to check some package.
I was given three warnings of the form:
sh: /user/bin/perl: No such file or directory

Perl is not installed on the machine. I guess rpmlint should require perl?
Comment 1 Fedora Update System 2013-04-01 10:43:14 EDT
rpmlint-1.4-14.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/rpmlint-1.4-14.fc18
Comment 2 Fedora Update System 2013-04-01 10:43:34 EDT
rpmlint-1.4-14.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/rpmlint-1.4-14.fc17
Comment 3 Fedora Update System 2013-04-01 18:34:34 EDT
Package rpmlint-1.4-14.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rpmlint-1.4-14.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-4646/rpmlint-1.4-14.fc18
then log in and leave karma (feedback).
Comment 4 Fedora End Of Life 2013-04-03 16:38:13 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 5 Fedora Update System 2013-04-09 21:28:59 EDT
rpmlint-1.4-14.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-04-09 21:29:59 EDT
rpmlint-1.4-14.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.